package de.oaa.xxx.games.chastity.spinningwheel;

import de.oaa.xxx.games.chastity.timelock.TimeLockService;

public enum EntryType {

	ADD_TIME {
		@Override
		public void apply(TimeLockService service, Integer intVal, String stringVal) {
			service.addTime(intVal);
		}
	},
	REMOVE_TIME {
		@Override
		public void apply(TimeLockService service, Integer intVal, String stringVal) {
			service.removeTime(intVal);
		}
	},
	FREEZE_TIME {
		@Override
		public void apply(TimeLockService service, Integer intVal, String stringVal) {
			service.freeze(intVal);
		}
	},
	FREEZE {
		@Override
		public void apply(TimeLockService service, Integer intVal, String stringVal) {
			service.freeze();
		}
	},
	UNFREEZE {
		@Override
		public void apply(TimeLockService service, Integer intVal, String stringVal) {
			service.unfreeze();
		}
	},
	TASK {
		@Override
		public void apply(TimeLockService service, Integer intVal, String stringVal) {
			service.task();
		}
	},
	TEXT {
		@Override
		public void apply(TimeLockService service, Integer intVal, String stringVal) {
			service.text(intVal, stringVal);
		}
	};
	
	public abstract void apply(TimeLockService service, Integer intVal, String stringVal);
}
